﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcTempDemo1.Models;

namespace MvcTempDemo1.Controllers {
    [HandleError]
    public class EmployeeController : Controller {   
        [HttpGet]
        public ActionResult Index(EmployeeModel model) {
            return View(model);
        }

        [HttpPost]
        public ActionResult Details(EmployeeModel model) {
            if (ModelState.IsValid) {
                return View(model);
            }
            else {
                return RedirectToAction("Index", model);
            }
        }
    }
}
